pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Qwt update to 6.0.1 ?

On Mon, 5 Mar 2012, Matthias Drochner wrote:

> >   create x11/qwt5-qt4 for 5.2.2 and point scidavis and qgis at it
> OK with me
> >   update x11/qwt-qt4 to 6.0.1 and point the updated zyGrib at it
> I'd call it qwt6-qt4 from the beginning. There might be a qwt7, and
> renaming afterwards sucks.

Hm yeah

Is it worth moving Qwt-5 from qwt-qt4 to qwt5-qt4 in that case or should I
just leave it as-is?  I was thinking that qwt-qt4 would become 'latest'
Qwt, and qwt5-qt4 would be 'fixed at 5' for old programs still needing it,
assuming that they wouldn't break the API next time they did a version
bump (perhaps my assumption is less than great :)

> > I guess that x11/qwt could also be retired?
> As long as it isn't in the way of something important, I'd just
> leave it. qt3 is still used widely.



Home | Main Index | Thread Index | Old Index